import { clonePath } from './clone-path';
/**
 * Rounds the values of a `PathArray` instance to
 * a specified amount of decimals and returns it.
 */
export function roundPath(path, round) {
    if (round === 'off')
        return clonePath(path);
    // to round values to the power
    // the `round` value must be integer
    const pow = typeof round === 'number' && round >= 1 ? Math.pow(10, round) : 1;
    return path.map((pi) => {
        const values = pi
            .slice(1)
            .map(Number)
            .map((n) => (round ? Math.round(n * pow) / pow : Math.round(n)));
        return [pi[0], ...values];
    });
}
//# sourceMappingURL=round-path.js.map