"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.lineToCubic = void 0;
const segment_line_factory_1 = require("../util/segment-line-factory");
const mid_point_1 = require("../util/mid-point");
function lineToCubic(x1, y1, x2, y2) {
    const t = 0.5;
    const p0 = [x1, y1];
    const p1 = [x2, y2];
    const p2 = (0, mid_point_1.midPoint)(p0, p1, t);
    const p3 = (0, mid_point_1.midPoint)(p1, p2, t);
    const p4 = (0, mid_point_1.midPoint)(p2, p3, t);
    const p5 = (0, mid_point_1.midPoint)(p3, p4, t);
    const p6 = (0, mid_point_1.midPoint)(p4, p5, t);
    const seg1 = [...p0, ...p2, ...p4, ...p6, t];
    // @ts-ignore
    const cp1 = (0, segment_line_factory_1.segmentLineFactory)(...seg1).point;
    const seg2 = [...p6, ...p5, ...p3, ...p1, 0];
    // @ts-ignore
    const cp2 = (0, segment_line_factory_1.segmentLineFactory)(...seg2).point;
    return [cp1.x, cp1.y, cp2.x, cp2.y, x2, y2];
}
exports.lineToCubic = lineToCubic;
//# sourceMappingURL=line-2-cubic.js.map