"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.roundPath = void 0;
const clone_path_1 = require("./clone-path");
/**
 * Rounds the values of a `PathArray` instance to
 * a specified amount of decimals and returns it.
 */
function roundPath(path, round) {
    if (round === 'off')
        return (0, clone_path_1.clonePath)(path);
    // to round values to the power
    // the `round` value must be integer
    const pow = typeof round === 'number' && round >= 1 ? Math.pow(10, round) : 1;
    return path.map((pi) => {
        const values = pi
            .slice(1)
            .map(Number)
            .map((n) => (round ? Math.round(n * pow) / pow : Math.round(n)));
        return [pi[0], ...values];
    });
}
exports.roundPath = roundPath;
//# sourceMappingURL=round-path.js.map