"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getRotatedCurve = void 0;
const distance_square_root_1 = require("./distance-square-root");
function getRotations(a) {
    const segCount = a.length;
    const pointCount = segCount - 1;
    return a.map((f, idx) => a.map((p, i) => {
        let oldSegIdx = idx + i;
        let seg;
        if (i === 0 || (a[oldSegIdx] && a[oldSegIdx][0] === 'M')) {
            seg = a[oldSegIdx];
            return ['M'].concat(seg.slice(-2));
        }
        if (oldSegIdx >= segCount)
            oldSegIdx -= pointCount;
        return a[oldSegIdx];
    }));
}
function getRotatedCurve(a, b) {
    const segCount = a.length - 1;
    const lineLengths = [];
    let computedIndex = 0;
    let sumLensSqrd = 0;
    const rotations = getRotations(a);
    rotations.forEach((r, i) => {
        a.slice(1).forEach((s, j) => {
            // @ts-ignore
            sumLensSqrd += (0, distance_square_root_1.distanceSquareRoot)(a[(i + j) % segCount].slice(-2), b[j % segCount].slice(-2));
        });
        lineLengths[i] = sumLensSqrd;
        sumLensSqrd = 0;
    });
    computedIndex = lineLengths.indexOf(Math.min.apply(null, lineLengths));
    return rotations[computedIndex];
}
exports.getRotatedCurve = getRotatedCurve;
//# sourceMappingURL=get-rotated-curve.js.map